---
names: 
  full: "Google Cloud PostgreSQL Instance Log_min_duration_statement Database Flag is not set to `-1` (Disabled)"
  contextual: "PostgreSQL Instance Log_min_duration_statement Database Flag is not set to `-1` (Disabled)"
description: "The log_min_duration_statement flag defines the minimum amount of execution time of \ 
 a statement in milliseconds where the total duration of the statement is logged. Ensure that \ 
 log_min_duration_statement is disabled, i.e., a value of -1 is set."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/02/07
  - /frameworks/cloudaware/resource-security/threat-protection
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity/knowledge-base/gcp/CloudSQL/disable-log-min-duration-statement-flag.html"
      name: "Disable 'log_min_duration_statement' Flag for PostgreSQL Database Instances"
